Company Document Types

List Company Document Types

Get a list of all document types for a specific company

GET
/api/v1/companies/{companyId}/document-types
AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

companyId*string

The ID of the company to get document types for

Response Body

application/json

application/json

curl -X GET "https://app.recommand.eu/api/v1/companies/string/document-types"
{
  "success": true,
  "documentTypes": [
    {
      "id": "string",
      "companyId": "string",
      "docTypeId": "string",
      "processId": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}